shmuel 29.01.2019 14:11:46 +0200 - build 107

1. При открытии хост-файла, после выхода из панели курсор прыгал на ..

2. В режиме "Меню из файла списка" после закрытия меню выскакивало окошко "Windows can't open this file".

drkns 07.02.2016 01:21:16 +0200 - build 106

1. Плагин зачем-то считал себя умнее пользователя и удалял кавычки из строк в temp-файлах.

zg 20.03.2015 23:41:34 +0200 - build 105

1. Far 3.0 API 4321

shmuel 26.01.2015 16:42:07 +0200 - build 104

1. Уточнение build 87 (в поле ввода диалога сохранения списка файлов
   иногда попадал мусор, или отображалось имя файла с путём \ ).

svs 30.07.2014 17:07:10 +0400 - build 

1. Добавлен TmpPanel.ListUTF8.farconfig

svs 29.07.2014 12:05:13 +0400 - build 103

1. Mantis#0000904: Пустое меню файла-списка (*.temp)
   Ошибка компиляции

2. Лист (Alt-Shift-F2) сохраняется в UTF-8.
   (для сохранения в 1200 поменяйте параметр "ListUTF8" в конфигурационной базе плагина на 0)

svs 28.07.2014 16:56:12 +0400 - build 102

1. Покривился сепаратор ("|-|" отображался как разделительная линия с заголовком " - ")

2. Mantis#0000904: Пустое меню файла-списка (*.temp)
   так же плагин понимает UTF-8 без BOM

3. temp-файлы переведены в UTF-8.

4. Вопрос с CP_REVERSEBOM открытый.

t-rex 06.10.2012 21:01:01 +0200 - build 101

1. x64 warnings.

t-rex 06.10.2012 18:48:30 +0200 - build 100

1. Обновил для Far build 2871.

zg 23.09.2012 21:16:57 +0200 - build 99

1. Far 3.0 API 2834

zg 23.09.2012 17:52:15 +0200 - build 98

1. Far 3.0 API 2830

zg 19.09.2012 00:43:54 +0200 - build 97

1. Far 3.0 API 2808

zg 16.09.2012 19:01:41 +0200 - build 96

1. Far 3.0 API 2802

zg 16.09.2012 15:13:34 +0200 - build 95

1. Far 3.0 API 2799

zg 26.03.2012 16:15:14 +0200 - build 94

1. Far 3.0 API 2572

zg 25.03.2012 17:42:32 +0200 - build 93

1. Far 3.0 2571.

drkns 20.02.2012 15:21:31 +0200 - build 92

1. Far 3.0 2470.

zg 16.02.2012 04:20:13 +0200 - build 91

1. Far 3.0 2462.

zg 17.01.2012 00:13:06 +0200 - build 90

1. Far 3.0 2395: не храним глобально имя файла из Analyse.

t-rex 13.01.2012 19:48:09 +0200 - build 89

1. Far 3.0 2373

drkns 02.01.2012 16:20:14 +0200 - build 88

1. Уточнение b87.

drkns 02.01.2012 15:19:02 +0200 - build 87

1. Far 3 API.

t-rex 21.12.2011 22:41:38 +0200

1. reg -> xml

svs 01.09.2011 18:50:10 +0300 - build 86

1. gcc. wcslen --> lstrlen

svs 29.08.2011 16:30:49 +0300 - build 85

1. Доп. проверка в Анализе.

svs 22.08.2011 21:12:23 +0300 - build 84

1. mix

svs 22.08.2011 16:09:00 +0300 - build 83

1. Far 3 API 2105

drkns 07.07.2011 20:35:34 +0200 - build 82

1. Copy - paste? :)

svs 04.07.2011 17:21:50 +0300 - build 81

1. Работа над ошибками...

svs 04.07.2011 17:14:04 +0300 - build 80

1. FAR API 3.0

2. Непонятно как сокращенные названия опций приведены в читаемый вид.

t-rex 22.03.2011 01:59:25 +0200 - build 79

1. From Shmuel: Mantis#1658: Падение плагина при прерывании операции.

t-rex 06.02.2011 00:26:48 +0200

1. lng,hlf -> utf8, reg -> Far2

drkns 03.12.2010 19:01:51 +0200 - build 78

1. Ошибки инициализации памяти.

drkns 17.10.2010 10:25:54 +0200 - build 77

1. Ошибка в 76.

drkns 15.10.2010 13:23:23 +0200 - build 76

1. Из W-версии убрана опция "Добавить к меню дисков::Клавиша доступа"

t-rex 23.04.2010 13:21:59 +0200 - build 75

1. Mantis#1342: Падение при использовании ключа /u со слишком длинным параметром.

yjh 30.01.2010 10:54:56 +0300 - build 74

1. Предупреждения в 64хбитовой A версии

chupakabra 26.01.2010 19:34:00 +0200 - build 73

1. FSF.GetDirList теперь возвращает полные пути к файлам.

drkns 09.01.2010 14:17:27 +0200 - build 72

1. Far 2.0.1327.

drkns 09.01.2010 12:59:15 +0200 - build 71

1. Far 2.0.1325.

zg 07.01.2010 19:28:19 +0200 - build 70

1. far 2.0.1317.

chupakabra 04.11.2009 14:11:00 +0200 - build 69

1. Избавляемся от коротких имен файлов.

2. Дополнение по поддержке длинных путей.

3. Исправлено удаление дубликатов (поломано в build 66).

chupakabra 04.11.2009 11:13:00 +0200 - build 68

1. Восстановлена работа с путями, содержащими прямые слеши.

2. Не собираем информацию о файле в тех случаях когда она уже предоставлена Фаром.

chupakabra 03.11.2009 14:05:00 +0200 - build 67

1. From Maximus5: отображение вывода программы в меню.

chupakabra 02.11.2009 00:42:00 +0200 - build 66

1. Mantis#0001150: Не работает режим сортировки "Unsorted".

chupakabra 01.11.2009 23:05:00 +0200 - build 65

1. Mantis#0001149: Файл-список расположенный в директории с длинным путём.

chupakabra 01.11.2009 20:53:00 +0200 - build 64

1. Mantis#0000889: Обработка элементов вида * и .

t-rex 26.10.2009 23:18:45 +0200 - build 63

1. Mantis#887: Реакция на отсутствие файла-списка.
   Если файл списка не найден, то не будем открывать панель.

t-rex 26.10.2009 23:08:50 +0200 - build 62

1. Файл список не находился в текущей папке при вызове через префикс.

2. Mantis#885: Файл-список должен искаться в первую очередь в текущей директории.
   Теперь поряд поиска вот такой:
   1. В текущей директории.
   2. В директории плагина.
   3. В %FARHOME%.
   4. В директориях, перечисленных в переменной окружения %PATH%.

t-rex 26.10.2009 17:07:55 +0200 - build 61

1. Переделка GetMinFarVersion.

chupakabra 26.10.2009 05:54:00 +0200 - build 60

1. Превращаем относительные пути в абсолютные только для существующих элементов.

t-rex 24.10.2009 23:47:19 +0200 - build 59

1. Более "модерный" метод получения пути плагина, заодно вообще убрал DllMain.

2. При переходах на новый api поломался tmp:<|path|command.

drkns 24.10.2009 20:23:01 +0200 - build 58

1. Far 2.0.1180.

t-rex 23.10.2009 12:46:06 +0200 - build 57

1. Mantis#1130: Переполнение стека.

2. По дороге заметил ещё пару глюков где в FarAPI передавался TCHAR** вместо TCHAR*.

chupakabra 23.10.2009 00:16:00 +0200 - build 56

1. Не работала обработка относительныйх путей в юникодной версии.

2. Убрал код из DllMain (создает проблемы с отладчиком).

t-rex 21.10.2009 15:33:49 +0200 - build 55

1. Mantis#1129: не собирается ansi версия.

chupakabra 18.10.2009 14:24:00 +0200 - build 54

1. Поддержка NT путей.

drkns 11.10.2009 22:10:16 +0200 - build 53

1. Адаптация к Far 1160. Пока что очень и очень костыльно, да.

yjh 03.10.2009 11:35:11 +0300 - build без смены номера

1. Убираем предупреждения на 64хбитовой компиляции

drkns 27.09.2009 09:57:00 +0200 - build 52

1. Убираем привязку к CurrentDirectory far'а.

t-rex 30.05.2009 02:54:46 +0200 - build 51

from chupakabra:

1. Mantis#637: Проблемы плагинов с OPIF_REALNAMES

svs 15.04.2009 15:33:10 +0300 - build 50

1. Mantis#0000827: Баг в Temporary panel b47,b48 & b49 

t-rex 08.04.2009 02:03:13 +0200 - build 49

1. Update for GetFileOwner API change in 2.0 863.

svs 12.03.2009 19:12:59 +0300 - build 48

1. Mantis#0000779: TmpPanel неправильно отрисовывает меню из файла-списка (*.temp) 
   Вместо фиксированного значения 10x128 сделаем динамику

zg 24.02.2009 01:20:44 +0200 - build 47

1. Адаптация к новому PanelAPI в 2.0.789.

drkns 27.01.2009 16:09:51 +0200 - build 46

1. Адаптация к новому PanelAPI в 2.0.753.

drkns 05.01.2009 21:42:57 +0200 - build 45

1. Баг с SearchPath в юникодной версии - параметры lpFileName и lpBuffer не должны пересекаться.

drkns 16.12.2008 20:32:26 +0200 - build 44

1. Очень криво работало AltShiftF12.

t-rex 16.12.2008 14:06:04 +0200 - build 43

Тройной баг в одном месте :)

1. В WinXP (как минимум) незя вызывать GetFullPathNameW с одинаковым баффером в in и out, поэтому не работала юникодная GCC сборка плагина.

2. В VC сборку вообще не попадал DllMain и поэтому не было глюка 1 но был глюк 3.

3. В VC сборке плагина не работал поиск *.temp файлов в папке плагина из за глюка 2.

t-rex 16.12.2008 00:13:05 +0200 - build 42

1. В юникод версии в GoToFile для FCTL_FREEPANELINFO не ту структуру передавали и всё летело крахом :)

zg 14.12.2008 02:42:50 +0200 - build 41

1. в unicode версии неправильно использовалось SelectedItems.

drkns 05.09.2008 10:12:52 +0200 - build 40

1. Адаптация к новому PanelAPI в 1.8.

yjh 14.06.2008 18:56:30 +0300 - build 39

1. Memory Leak (вроде как последний :) и мелкие правки

yjh 14.06.2008 04:33:48 +0300 - build 38

1. Кучка ударов по памяти. Вроде как работает :).

TODO:
   а) Осталась непроверенной логика работы с Common Panels - есть подозрение
      что там тоже полно неправилной работы с памятью
   б) есть странность в W-версии. Если открыть любой файл в панели на просморт
      то при выхода из панели оказываемся не там где были, до входа в неё
      а там где был просматривавшийся файл

yjh 14.06.2008 02:57:59 +0300 - build 37

1. Ещё парочка странностей с памятью. Остались невыверенные CommoinPanels
   ну и ошибка приводящая к падению в FindFirstFile на не первом вызове

yjh 14.06.2008 01:22:44 +0300 - build 36

1, Ошибка логики (засаженная при портировании) в обработке директорий.

2. Парочка ударов по памяти (врнесённые тогда же)

3. Парочка потенциальных memory-leak бывших и раньше :)

   Как-то уже дышит, но не до конца - где-то сотался удар по памяти 


t-rex 14.06.2008 01:49:30 +0200 - build 35

1. Исправил не получение путей, к активности и пассивности панели отношения не имело.

yjh 14.06.2008 00:50:56 +0300 - build 

1. Версия не менялась - синхронизация с новыми названиями констант в 1.8


yjh 14.06.2008 00:50:59 +0300 - build 34

1. Доделана работа с файлами списков для 1.8. Сохранение ВСЕГДА производится
   в unicode с BOM в начале, а вот на загрузке поддерживается и старый формат.
   Логика на загрузке такая: если есть BOM (только UCS2_LE - при наличии
   BOM UCS2_BE или UTF8 - файл игнорируется) файл грузится как unicde, если 
   BOM нет - как OEM (ansi "не бывает").

2. Убрана куча ненужных static'ов - стека вполне достаточно :)

3. Первичное тестирование - вроде даже работает ;-)

TODO: Есть проблема с ANOTHER_PANEL - в 1;8 пока нет возможности выяснить
      на активной панели мы или на пассивной, в результате при F5 получаем
      файлы без пути


yjh 12.06.2008 03:38:32 +0300 - build 33

1. Почти :) спортировано в 1.8. В том плане что компилируется без 
   ошибок/предупреждений во всех режимах, но работоспособность не проверялась
   даже для A-версий. Уж больно много тронулось...
   TODO: файлы сохранение панелей в W версии сдедланы в unicode - возможно
         имеет смысл сделать им BOM, и возможно нужно иметь для них
         отдельные .temp-файлы. Поскольку я с ними кидогда не работал,
         то хай думает тот кто знает зачем они :)

yjh 11.06.2008 21:32:17 +0300

1. Билд не менялся. Просто выкинут не используемый файл :)


t-rex 09.06.2008 11:01:31 +0200 - build 32

1. gcc 4.3.0 warnings removed.

t-rex 05.02.2007 20:51:22 +0200 - build 31

1. Общий мэйк файл для x64 и x86 для VC.

2. Различные падения с [x] Any item on panel.


t-rex 03.12.2006 23:12:54 +0200 - build 30

1. Доделал x64.

2. Привёл прошлые изменения к общей форме.

3. Начинаем писать changelog, я сделал себе макрос
   "t - r e x Space $Date \"%d.%m0.%Y %H:%M:%S %Z\" Enter"
   чтоб выводить заголовок changelog-а.
   Последующие логи надо писать сверху - т.е. файл будет идти хронологически снизу вверх.
   В changelog прошу писать в Win кодировке.


buda

+ батник для компиляции с командной строки с помощью Visual Studio;
+ проект под Visual Studio 6;
+ проект под Visual Studio 2005;
* элементы файла-списка вида \\.\cdrom0 и т.д. отображаются как файлы, а не как каталоги
- ошибки при компиляции под 64bit;
- диалог конфигурации вызванный по AltShiftF9 с панелей не закрывался по первому ескейпу;
